Bug 1019371 - Interactive Console sometimes fails auto-complete attempt & raises error
Interactive Console sometimes fails auto-complete attempt & raises error
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: eclipse-pydev (Show other bugs)
19
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Alexander Kurtakov
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-15 11:06 EDT by Andrew Ferrazzutti
Modified: 2015-02-17 12:41 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 12:41:57 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrew Ferrazzutti 2013-10-15 11:06:57 EDT
Description of problem: PyDev's Interactive Console is sometimes incapable of auto-completing user input. In such cases, pressing Ctrl+Space will not bring up an auto-complete pane, or if one is already visible, it will disappear once a failing auto-complete attempt occurs.

Most importantly, if a failed auto-complete attempt has occurred, the Interactive Console will display raised errors regarding the failure the next time Enter/Return is pressed.


Version-Release number of selected component (if applicable): 2.5.2


How reproducible:
So far, I have only been able to reproduce this error while trying to auto-complete java.lang.ClassLoader in the Jython Interactive Console. Judging from the error trace, though, this problem doesn't seem specific to any one class alone.

Steps to Reproduce:
1. In the PyDev perspective, open a new PyDev Console > Jython Console (have a configured Jython interpreter first).
2. In the interactive console, import java.lang.ClassLoader (any way you like).
3. Trigger an auto-complete attempt on ClassLoader by, for instance, typing "[java.lang.]ClassLoader." into the console.
4. Press Enter/Return. (Note that after the failed auto-complete attempt, the contents of the console input are irrelevant.)

Actual results:
An error traceback is printed.

Expected results:
No error should be traced. (Also, the auto-complete attempt would ideally be successful.)
Comment 1 Andrew Ferrazzutti 2013-10-17 15:32:01 EDT
(In reply to Andrew Ferrazzutti from comment #0)

> Version-Release number of selected component (if applicable): 2.5.2
Apologies for the typo; the actual version is 2.8.2.
Comment 2 Alexander Kurtakov 2014-01-16 04:22:07 EST
Andrew, what's the state of this bug ?
Comment 3 Andrew Ferrazzutti 2014-01-16 09:25:42 EST
Alex, the bug still exists. Following the repro steps in the latest head of the development branch causes the same error I got originally.

Traceback (most recent call last):
  File "/home/<user>/git/Pydev/plugins/org.python.pydev/pysrc/pydevconsole.py", line 145, in getCompletions
    return completer.complete(act_tok)
  File "/home/<user>/git/Pydev/plugins/org.python.pydev/pysrc/_pydev_completer.py", line 95, in complete
    return self.attr_matches(text)
  File "/home/<user>/git/Pydev/plugins/org.python.pydev/pysrc/_pydev_completer.py", line 152, in attr_matches
    words = dir2(obj, filter=filter)
  File "/home/<user>/git/Pydev/plugins/org.python.pydev/pysrc/_pydev_jy_imports_tipper.py", line 448, in GenerateImportsTipForModule
    info = isMet[1][0]
IndexError: index out of range: 0
Comment 4 Fedora End Of Life 2015-01-09 15:15:59 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2015-02-17 12:41:57 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.